%define name iptraf
%define version 2.3.1
%define release 2mdk

%define fullname %{name}-%{version}

Summary: A console-based network monitoring program
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://cebu.mozcom.com/riker/iptraf
Source: ftp://ftp.cebu.mozcom.com/pub/linux/net/%{fullname}.tar.bz2
Copyright: GPL
Requires: kernel >= 2.2
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
IPTraf is a console-based network monitoring program for Linux that
displays information about IP traffic.  It returns such information as:

Current TCP connections UDP, ICMP, OSPF, and other types of IP packets
Packet and byte counts on TCP connections IP, TCP, UDP, ICMP, non-IP,
and other packet and byte counts TCP/UDP counts by ports Interface
activity Flag statuses on TCP packets LAN station statistics

This program can be used to determine the type of traffic on your network,
and what kind of service is the most heavily used on what machines, among
others.

IPTraf works on Ethernet, FDDI, ISDN, PLIP, and SLIP/PPP interfaces.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q %{fullname}

%build
%make -C src 	TARGET=%{_prefix}/bin \
      		LOGDIR=/var/log/iptraf \
      		WORKDIR=/var/iptraf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/{bin,doc}
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -d $RPM_BUILD_ROOT{/var/iptraf,/var/log/iptraf}
install -m 755 src/{iptraf,rvnamed} $RPM_BUILD_ROOT%{_bindir}/

mv Documentation/*.8 src/
install -m 644 src/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
for i in CHANGES INSTALL README*; do
  install -m 644 $i $RPM_BUILD_ROOT%{_prefix}/doc/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES INSTALL README* Documentation
%{_bindir}/*
%{_mandir}/man8/*
%dir /var/iptraf
%dir /var/log/iptraf

%changelog
* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-2mdk
- rebuild

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-1mdk 
- updated to 2.3.1

* Fri Nov 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-3mdk
- hopefully this time is fixed, works on a cooker

* Fri Nov 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-2mdk
- fix configure from Florin Grad

* Thu Sep 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- v2.2.2 

* Thu Sep 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-3mdk
- BM
- macros

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-2mdk
- fix group

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Sun Jul 18 1999 Oden Eriksson <oden@kvikkjokk.com>
- Updated to version 2.0.1
- Repacked for Linux Mandrake

* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Jan 16 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Updated to version 1.4.2
- Used name and version variables in source field

* Wed Jan 6 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Maintainer for RHCN: Anders Semb Hermansen
